define("wildFuryPluginApi", [],
    function() {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof wildFuryPluginApi == 'undefined') {
            var wildFuryPluginApi = {};
        };
        wildFuryPluginApi.JackpotData = function() {};
        wildFuryPluginApi.JackpotData.__name__ = ["wildFuryPluginApi", "JackpotData"];
        wildFuryPluginApi.JackpotData.prototype.jackpotLevel = null;
        wildFuryPluginApi.JackpotData.prototype.wildNumber = null;
        wildFuryPluginApi.JackpotData.prototype.isMaxLevel = null;
        wildFuryPluginApi.JackpotData.prototype.jackpotCredits = null;
        wildFuryPluginApi.JackpotData.prototype.jackpotWildsLadder = null;
        wildFuryPluginApi.JackpotData.prototype.isLevelUpdated = null;
        wildFuryPluginApi.JackpotData.prototype.setJackpotWildsLadder = function(ladder) {
            this.jackpotWildsLadder = ladder;
        };
        wildFuryPluginApi.JackpotData.prototype.setMaxLevelExceededValue = function(value) {
            this.isMaxLevel = value && !this.isLevelUpdated;
        };
        wildFuryPluginApi.JackpotData.prototype.setJackpotCredits = function(credits) {
            if (credits != null) {
                this.jackpotCredits = [];
                var _g = 0;
                while (_g < credits.length) {
                    var value = credits[_g];
                    ++_g;
                    this.jackpotCredits.push(value + "");
                }
            }
        };
        wildFuryPluginApi.JackpotData.prototype.setJackpotLevel = function(value) {
            this.isLevelUpdated = this.jackpotLevel != value;
            this.jackpotLevel = value;
        };
        wildFuryPluginApi.JackpotData.prototype.getJackpotLevel = function() {
            return this.jackpotLevel;
        };
        wildFuryPluginApi.JackpotData.prototype.setWildNumber = function(value) {
            this.wildNumber = value;
        };
        wildFuryPluginApi.JackpotData.prototype.getWildNumber = function() {
            return this.wildNumber;
        };
        wildFuryPluginApi.JackpotData.prototype.getJackpotCredits = function() {
            return this.jackpotCredits;
        };
        wildFuryPluginApi.JackpotData.prototype.getJackpotWildsLadder = function() {
            return this.jackpotWildsLadder;
        };
        wildFuryPluginApi.JackpotData.prototype.__class__ = wildFuryPluginApi.JackpotData;
        wildFuryPluginApi.JackpotDataStorage = function() {};
        wildFuryPluginApi.JackpotDataStorage.__name__ = ["wildFuryPluginApi", "JackpotDataStorage"];
        wildFuryPluginApi.JackpotDataStorage.jackpotData = null;
        wildFuryPluginApi.JackpotDataStorage.setJackpotCredits = function(credits) {
            if (wildFuryPluginApi.JackpotDataStorage.jackpotData == null) wildFuryPluginApi.JackpotDataStorage.jackpotData = new wildFuryPluginApi.JackpotData();
            wildFuryPluginApi.JackpotDataStorage.jackpotData.setJackpotCredits(credits);
        };
        wildFuryPluginApi.JackpotDataStorage.setJackpotLevel = function(level) {
            if (wildFuryPluginApi.JackpotDataStorage.jackpotData == null) wildFuryPluginApi.JackpotDataStorage.jackpotData = new wildFuryPluginApi.JackpotData();
            wildFuryPluginApi.JackpotDataStorage.jackpotData.setJackpotLevel(level);
        };
        wildFuryPluginApi.JackpotDataStorage.setWildNumber = function(number) {
            if (wildFuryPluginApi.JackpotDataStorage.jackpotData == null) wildFuryPluginApi.JackpotDataStorage.jackpotData = new wildFuryPluginApi.JackpotData();
            wildFuryPluginApi.JackpotDataStorage.jackpotData.setWildNumber(number);
        };
        wildFuryPluginApi.JackpotDataStorage.setJackpotWildsLadder = function(ladder) {
            if (wildFuryPluginApi.JackpotDataStorage.jackpotData == null) wildFuryPluginApi.JackpotDataStorage.jackpotData = new wildFuryPluginApi.JackpotData();
            wildFuryPluginApi.JackpotDataStorage.jackpotData.setJackpotWildsLadder(ladder);
        };
        wildFuryPluginApi.JackpotDataStorage.setMaxLevelExceededValue = function(value) {
            if (wildFuryPluginApi.JackpotDataStorage.jackpotData == null) wildFuryPluginApi.JackpotDataStorage.jackpotData = new wildFuryPluginApi.JackpotData();
            wildFuryPluginApi.JackpotDataStorage.jackpotData.setMaxLevelExceededValue(value);
        };
        wildFuryPluginApi.JackpotDataStorage.prototype.__class__ = wildFuryPluginApi.JackpotDataStorage;
        wildFuryPluginApi.WheelStripsData = function() {};
        wildFuryPluginApi.WheelStripsData.__name__ = ["wildFuryPluginApi", "WheelStripsData"];
        wildFuryPluginApi.WheelStripsData.addWheelStrip = function(strip) {
            wildFuryPluginApi.WheelStripsData.wheelStrip.push(strip);
        };
        wildFuryPluginApi.WheelStripsData.getWheelStrips = function() {
            return wildFuryPluginApi.WheelStripsData.wheelStrip;
        };
        wildFuryPluginApi.WheelStripsData.prototype.__class__ = wildFuryPluginApi.WheelStripsData;
        wildFuryPluginApi.WheelStripsData.wheelStrip = [];;
        return {
            exports: wildFuryPluginApi
        };
    });
//# sourceURL=wildFuryPluginApi.js